=== release 1.20.1 ===

2022-03-14 11:33:33 +0000  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-plugins-bad.doap:
	* meson.build:
	  Release 1.20.1

2022-03-14 11:33:25 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	  Update ChangeLogs for 1.20.1

2022-03-04 10:02:56 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* gst/videoparsers/gstvp9parse.c:
	  vp9parse: Fix auto-plugging of HW frame decoder
	  Decoders that required frame aligmment and didn't have an associated
	  alpha decoder were skipped. This is because the parser was constructing
	  caps based on the software alpha decoder, which specify super-frame
	  alignment.
	  Iterate over the caps to filter the one that have a matching codec-alpha, with
	  the semantic the no codec-alpha field means codec-alpha=false. Then if
	  everything was removed, callback to the original, so that the first non-alpha
	  decoder will be picked.
	  Fixes #820
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1949>

2022-01-14 23:42:27 -0600  Tim Mooney <Tim.Mooney@ndsu.edu>

	* sys/v4l2codecs/linux/types-compat.h:
	  v4l2: include <sys/ioccom.h> on Illumos
	  Needed for _IOR/_IORW
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1947>

2022-03-13 00:17:48 +0900  Seungha Yang <seungha@centricular.com>

	* sys/nvcodec/gstnvbaseenc.c:
	  nvenc: Fix deadlock because of too strict buffer pool size
	  The pool size might need to be larger than encoding surface pool size.
	  Also, because we always copy input frame into internal CUDA memory,
	  there's no reason to restrict max size of buffer pool.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1942>

2022-03-11 23:20:26 +0900  Seungha Yang <seungha@centricular.com>

	* sys/nvcodec/gstnvh265dec.c:
	  nvh265sldec: Always fill SPS/PPS related parameters
	  Address compare was not a valid approach since it works
	  only if SPS/PPS id are changed. Otherwise it will always point to
	  the same address of member variables of h265parser.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1941>

2022-03-11 19:32:59 +0900  Seungha Yang <seungha@centricular.com>

	* gst-libs/gst/codecs/gsth264picture.c:
	  h264decoder: Fix invalid memory access
	  gst_h264_dpb_needs_bump() can be called with null picture
	  in case of live
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1929>

2022-03-10 18:40:12 +0000  Tim-Philipp Müller <tim@centricular.com>

	* gst/sdp/gstsdpdemux.c:
	  sdpdemux: add media attributes to caps to fix ptp clock handling
	  Those are needed by rtpjitterbuffer to do the right thing, e.g.
	  a=ts-refclk:ptp=IEEE1588-2008:00-**-**-**-**-**-**-**:0
	  a=mediaclk:direct=1266592257
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1925>

2022-03-10 10:33:56 +0100  Edward Hervey <edward@centricular.com>

	* gst/mpegtsdemux/mpegtsbase.c:
	* gst/mpegtsdemux/mpegtsbase.h:
	  mpegts: Handle glib < 2.58
	  By using a workaround to the lack of g_ptr_array_steal_index.
	  Fixes #1078
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1919>

2021-11-02 09:20:55 +0100  Edward Hervey <edward@centricular.com>

	* gst/mpegtsdemux/mpegtsbase.c:
	  tsbase: Handle more program updates
	  There could be a case where the new program has the same program number as the
	  previous one ... but is actually located on a PID previously used for elementary
	  stream. In that case the program is guaranteed to not be an update of the
	  previous program but a completely new one.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1919>

2021-11-02 09:18:57 +0100  Edward Hervey <edward@centricular.com>

	* gst/mpegtsdemux/mpegtsbase.c:
	* gst/mpegtsdemux/mpegtsbase.h:
	  mpegtsbase: Use an array to track programs
	  We need to be able to look for programs by their PID also. Using a hash table
	  was a bit sub-par (and overkill) for storing a range of programs.
	  This is needed because there could potentially be two programs with the same
	  program id but different PMT PID (while one is being deactivated the new one
	  would "exist").
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1919>

2022-03-07 18:46:55 +0100  Jan Alexander Steffens (heftig) <jan.steffens@ltnglobal.com>

	* gst/mpegtsmux/gstbasetsmux.c:
	  mpegtsmux: Start last_ts with GST_CLOCK_TIME_NONE
	  And use the output segment position for the outgoing timestamp while it
	  is. This is needed to delay the calculation of `output_ts_offset` until
	  we actually have a usable timestamp, as tsmux will output a few initial
	  packets while `last_ts` is still unset.
	  Without this, the calculation would use the initial `0` value, which did
	  not have the intended effect of making VBR mode behave like CBR mode,
	  but always calculated an offset equal to the selected start time.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1895>

2022-03-07 18:46:08 +0100  Jan Alexander Steffens (heftig) <jan.steffens@ltnglobal.com>

	* gst/mpegtsmux/gstbasetsmux.c:
	  mpegtsmux: Use GST_CLOCK_STIME_NONE for output_ts_offset
	  It's a GstClockTimeDiff, thus GST_CLOCK_TIME_NONE isn't appropriate.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1895>

2022-03-07 10:19:53 +0000  Philippe Normand <philn@igalia.com>

	* tests/check/libs/play.c:
	  gstplay: tests: Keep track of errors/warnings
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1871>

2022-03-07 10:16:36 +0000  Philippe Normand <philn@igalia.com>

	* gst-libs/gst/play/gstplay.c:
	  gstplay: Do not error out on message parsing failures
	  Specially when parsing errors and warnings, the details field can be NULL and
	  the gst_structure_get() call would return FALSE in such cases, triggering false
	  positive errors.
	  Follow-up for #1063
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1871>

2022-03-07 10:14:43 +0000  Philippe Normand <philn@igalia.com>

	* gst-libs/gst/play/gstplay.c:
	* gst-libs/gst/play/gstplay.h:
	  gstplay: Fix warning parsing API
	  The GError is an out parameter, so should be a ** parameter, like the details
	  parameter.
	  See also #1063
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1871>

2022-03-04 14:17:47 +0100  Edward Hervey <edward@centricular.com>

	* gst/mpegtsdemux/tsdemux.c:
	  tsdemux: Handle PES headers bigger than a mpeg-ts packet
	  While the actual PES header parser could notify us that it needed more data, we
	  would never actually act on it.
	  This commit will accumulate incoming packets in such situation and re-attempt
	  the header parsing.
	  Fixes #1027
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1858>

2022-03-04 09:57:02 +0000  Philippe Normand <philn@igalia.com>

	* gst-libs/gst/play/gstplay.c:
	* gst-libs/gst/play/gstplay.h:
	  play: Fix error parsing API
	  The GError is an out parameter, so should be a ** parameter, like the details
	  parameter.
	  Fixes #1063
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1850>

2022-02-21 10:49:15 +0100  Sebastian Fricke <sebastian.fricke@collabora.com>

	* ext/wpe/WPEThreadedView.cpp:
	* ext/wpe/gstwpe.cpp:
	* ext/wpe/gstwpe.h:
	  Remove the uninstalled term
	  Remove the symbolic link `gst-uninstalled` which points to `gst-env`.
	  The `uninstalled` is the old name and the project should stick to a
	  single name for the procedure.
	  Remove the term from all the files, exceptions are variables from
	  dependencies like `uninstalled_variables` from pkgconfig and
	  `meson-uninstalled`.
	  Adjust mentions of the script in the documentation and README.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1829>

2022-02-23 11:10:11 +0100  Sebastian Fricke <sebastian.fricke@collabora.com>

	* README.md:
	  Maintain build instructions at a single location
	  Do not maintain similar build instructions within each gst-plugins-*
	  subproject and the subproject/gstreamer subproject. Use the build
	  instructions from the mono-repository and link to them via hyperlink.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1829>

2022-02-25 15:00:05 +0800  jinsl00000 <jinsl00000@msn.cn>

	* sys/ipcpipeline/gstipcpipelinecomm.c:
	* sys/ipcpipeline/meson.build:
	  ipcpipeline: fix crash and error on windows with SOCKET or _pipe()
	  The fd was in different meanings on windows:
	  POSIX read and write use the fd as a file descriptor.
	  The gst_poll use the fd as a WSASocket.
	  This patch use WSASocket as default on windows. This is a temporary measure, because IPC has many different implement. There may be a better way in the future.
	  See #1044
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1822>

2022-02-28 16:33:23 +0100  Guillaume Desmottes <guillaume.desmottes@onestream.live>

	* ext/gs/meson.build:
	  gs: look for google_cloud_cpp_storage.pc
	  storage_client.pc was legacy and has been removed:
	  https://github.com/googleapis/google-cloud-cpp/commit/df6fa3611cdfbc37d40e1451afa91fd7d2e7d5f7#diff-bc35ad7c2fe631fd5578a06092412dba81c7ddd27bb25df7e17bb13771799afcL743
	  No need to keep looking for storage_client.pc as a fallback as 1.25.0,
	  our minimum version, already ships google_cloud_cpp_storage.pc
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1825>

2022-02-24 20:26:46 +0530  Sanchayan Maity <sanchayan@asymptotic.io>

	* ext/ldac/gstldacenc.c:
	  ldac: Set eqmid in caps
	  We set the eqmid in caps to be usable downstream by rtpldacpay for
	  knowing the frame count.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1804>

2022-01-31 16:13:32 +0200  Vivia Nikolaidou <vivia@ahiru.eu>

	* gst/mpegtsmux/gstbasetsmux.c:
	  tsmux: Skip empty buffers
	  They can be created e.g. by aggregator when there is a gap. Such buffers
	  should not be muxed at all.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1801>

2022-02-01 14:51:27 +0200  Vivia Nikolaidou <vivia@ahiru.eu>

	* gst/mpegtsmux/gstbasetsmux.c:
	* gst/mpegtsmux/gstbasetsmux.h:
	  tsmux: Lock mux->tsmux, the programs hash table, and pad streams
	  They contain implementations that are not thread-safe (e.g. GList, GHashTable).
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1800>

2022-02-21 16:45:50 +0800  Mengkejiergeli Ba <mengkejiergeli.ba@intel.com>

	* docs/plugins/gst_plugins_cache.json:
	  bad:docs: Add vaav1dec in documentation
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1780>

2022-02-18 16:23:09 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2codecs/gstv4l2codecvp9dec.c:
	  v4l2codecs: vp9: Fix reset_frame_context parameter
	  It was assumed that the kernel parameters would match with the bitstream value
	  but instead the author when with another set of value. Surprisingly, this
	  makes no difference with the resulting fluster score.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1754>

2022-02-18 16:02:27 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2codecs/gstv4l2codecvp9dec.c:
	  v4l2codecs: vp9: Only fill compressed headers if needed
	  Fixes: 13944cf3ee871722 ("v4l2codecs: vp9: Make compressed hdr control optional")
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1754>

2022-01-15 00:04:05 -0600  Tim Mooney <Tim.Mooney@ndsu.edu>

	* ext/curl/meson.build:
	* gst/festival/meson.build:
	* meson.build:
	* sys/shm/meson.build:
	  meson: check for libsocket and libnsl
	  If present, add '-lsocket' and '-lnsl' to network_deps.
	  ext/curl/meson.build: add network_deps to dependencies
	  gst/festival/meson.build: same
	  sys/shm/meson.build: same
	  Fixes linking issues on Illumos distros.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1736>

2022-02-14 16:18:54 +0300  Dmitry Osipenko <dmitry.osipenko@collabora.com>

	* sys/v4l2codecs/gstv4l2codech264dec.c:
	  v4l2codecs: h264: Correct scaling matrix ABI check
	  Scaling matrix V4L UAPI control not presents on NVIDIA Tegra, the default
	  matrix should be used in this case. Mark scaling matrix presence optional.
	  Fixes: 47bfa71530c ("v4l2codecs: h264: Improve ABI check ")
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1735>

2022-02-16 02:23:58 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11converter.cpp:
	  d3d11converter: Fix for missing GRAY conversion
	  Add missing Y410 -> GRAY and GRAY -> semi-planar conversion
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1733>

2022-02-16 02:11:53 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11converter.cpp:
	  d3d11converter: Don't use FIXME_OBJECT for non-GstObject
	  ... and print ERROR messages for unexpected input/output formats
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1733>

2022-02-14 12:57:44 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* gst/mpegtsdemux/tsdemux.c:
	  tsdemux: unlock mutex on -1 start_offfset
	  Closing #1013
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1718>

2022-02-08 15:22:39 +0100  Jan Alexander Steffens (heftig) <heftig@archlinux.org>

	* ext/openaptx/gstopenaptxdec.h:
	* ext/openaptx/gstopenaptxenc.h:
	* ext/openaptx/meson.build:
	  openaptx: Support libfreeaptx
	  [libfreeaptx][1] is a fork of libopenapt 0.2.0, used by pipewire.
	  [1]: https://github.com/iamthehorker/libfreeaptx
	  Fixes: https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/issues/1642
	  Closes: https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/issues/1589
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1721>

2022-02-15 02:26:46 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11converter.cpp:
	  d3d11converter: Fix RGB to GRAY conversion
	  Fix typo in shader code
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1719>

2022-02-12 10:05:11 +0000  Philippe Normand <philn@igalia.com>

	* gst-libs/gst/webrtc/dtlstransport.c:
	  dtlstransport: Notify ICE transport property changes
	  The application might track the underlying ICE transport, so not notifying
	  changes might lead to use-after-free issues.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1717>

2022-02-12 14:51:51 +0800  He Junyan <junyan.he@intel.com>

	* sys/va/gstvavpp.c:
	  vavpp: Fix the caps leak in the transform_caps() function.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1715>

2022-02-10 12:52:30 +0800  He Junyan <junyan.he@intel.com>

	* gst/videoparsers/gstav1parse.c:
	  av1parse: Add temporal unit check when TD is absent.
	  The current manner for deciding the new temporal unit is based on
	  temporal delimiter(TD) OBU. We only start a new temporal unit when
	  the TD comes.
	  But some streams do not have TD at all, which makes the output "TU"
	  alignment fail to work. We now add check based on the relationship
	  between the different layers and it can successfully judge the TU edge.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1712>

2022-02-04 17:12:15 +0800  He Junyan <junyan.he@intel.com>

	* gst/videoparsers/gstav1parse.c:
	  av1parse: let the parse continue when MISSING_OBU_REFERENCE error.
	  Some streams may have verbose OBUs before a valid sequence header. We
	  should let the parse continue rather than return a error.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1712>

2022-02-04 11:40:18 +0800  He Junyan <junyan.he@intel.com>

	* gst/videoparsers/gstav1parse.c:
	  av1parse: Continue when we fail to detect the alignment.
	  Some streams may have problematic OBUs at the beginning, which causes
	  the parse fail to detect the alignment and return error. For example,
	  there may be verbose OBUs before a valid sequence, which should be
	  discarded until we meet a valid sequence. We should let the parse
	  continue when we meet such cases, rather than just return error.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1712>

2021-03-30 19:23:12 +0900  Seungha Yang <seungha@centricular.com>

	* gst/ivfparse/gstivfparse.c:
	  ivfparse: Don't set zero resolution on caps
	  It could be zero if the information is not available at ivfparse
	  side, or not implemented. In that case, simply don't set
	  width/height on caps, otherwise downstream would be confused
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1709>

2022-02-10 01:48:23 +0900  Seungha Yang <seungha@centricular.com>

	* sys/mediafoundation/gstmfaudioenc.cpp:
	  mfaudioenc: Handle empty IMFMediaBuffer
	  IMFMediaBuffer may not hold encoded data, which seems to happen
	  while draining.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1705>

2022-02-06 23:20:32 +0900  Sangchul Lee <sc11.lee@samsung.com>

	* ext/webrtc/gstwebrtcice.c:
	  webrtcice: Fix memory leaks in gst_webrtc_ice_add_candidate()
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1704>

2022-02-07 12:34:53 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/va/meson.build:
	  va: Fix and simplify build recipe.
	  1. Use api_version variable rather than static string.
	  2. Remove pkgconfig generation since currently the library
	  is not installed, only used internally.
	  3. Rely on dependency "required" to abort compilation.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1702>

2022-02-07 11:27:57 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/va/meson.build:
	* sys/va/meson.build:
	  va: Remove libgudev crumbs in library.
	  In commit e699aaeb we moved linking of libgudev to the plugin rather
	  the library, because it's only used in the plugin. But the dependency
	  check is still done in library.
	  This patch removes the dependency check in library, and updates the
	  dependency check in plugin.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1702>

2022-02-01 00:50:53 +0900  Seungha Yang <seungha@centricular.com>

	* sys/nvcodec/gstnvh265dec.c:
	  nvh265sldec: Fix for decoding 12bits stream
	  We've been exposing main-444-12 profile as a supported profile
	  in its sinkpad template but not actaully. Adding code to
	  covert 12 and 16 bits as well.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1660>

2022-02-01 00:12:06 +0900  Seungha Yang <seungha@centricular.com>

	* sys/nvcodec/gstnvdecoder.c:
	* sys/nvcodec/gstnvdecoder.h:
	* sys/nvcodec/gstnvh264dec.c:
	* sys/nvcodec/gstnvh265dec.c:
	* sys/nvcodec/gstnvvp8dec.c:
	* sys/nvcodec/gstnvvp9dec.c:
	  nvdecoder: Fix for HEVC 4:4:4 format decoding
	  Map chroma_format_idc == 3 (which means 4:4:4 subsampling) correctly,
	  also pass coded bitdepth for decoder initialization instead of
	  inferring it from output format since they can be different.
	  Fixes: https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/949
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1660>

2022-02-05 17:36:41 +0300  Igor V. Kovalenko <igor.v.kovalenko@gmail.com>

	* meson_options.txt:
	  qroverlay: move to plugins that need external deps
	  qroverlay requires libqrencode dependency, move it next to similar plugins.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1658>

2022-02-07 16:17:28 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development

=== release 1.20.0 ===

2022-02-03 19:53:25 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* README:
	* RELEASE:
	* gst-plugins-bad.doap:
	* meson.build:
	  Release 1.20.0

2022-02-03 19:53:18 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	  Update ChangeLogs for 1.20.0

2022-02-02 09:58:15 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/dash/gstdashsink.c:
	  dashsink: doc cleanup
	  Remove max-files mention in the command line test
	  Fix some typos
	  Use mpegtsdemux instead of tsdemux in the pipeline description
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1624>

2022-02-01 00:18:44 +0900  Seungha Yang <seungha@centricular.com>

	* sys/nvcodec/gstnvdecoder.c:
	  nvdecoder: Fix for display resolution setup
	  Display resolution should be cropped rect, not coded resolution.
	  Otherwise decoded output from NVDEC might be wrong.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1617>

2022-02-01 03:00:41 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* sys/applemedia/vtdec.c:
	* sys/applemedia/vtenc.c:
	* sys/applemedia/vtutil.c:
	* sys/applemedia/vtutil.h:
	  applemedia: Disable 64RGBALE support on older macOS
	  The kCVPixelFormatType_64RGBALE enum is only available on macOS Big
	  Sur (11.3) and newer. We also cannot use that while configuring the
	  encoder or decoder on older macOS.
	  Define the symbol unconditionally, but only use it when we're running
	  on Big Sur with __builtin_available().
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1613>

2022-02-01 03:04:32 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* sys/applemedia/vtenc.c:
	  applemedia: Remove some unnecessary variables
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1613>

2022-02-01 05:07:04 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* docs/meson.build:
	* sys/applemedia/avfassetsrc.m:
	* sys/applemedia/iosassetsrc.m:
	  docs: Add objc and objcpp files to hotdoc gst_c_sources
	  Hotdoc should be able to extract and parse comments out of these. Just
	  need to be careful to only add the glob in directories that actually
	  contain *.m (objc) and *.mm (objcpp) files.
	  Also fix some doc comments and remove redundant ones.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1614>

2022-01-14 11:26:42 +0100  Jan Alexander Steffens (heftig) <jan.steffens@ltnglobal.com>

	* ext/wpe/meson.build:
	  wpe: Support wpe-webkit-1.1
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1522>

2022-01-29 10:24:36 +0000  Philippe Normand <philn@igalia.com>

	* ext/wpe/WPEThreadedView.cpp:
	* ext/wpe/gstwpe.cpp:
	* ext/wpe/gstwpe.h:
	* ext/wpe/meson.build:
	* ext/wpe/wpe-extension/meson.build:
	  wpe: Install WebExtension in pkglibdir
	  The uninstalled WebExtension takes precedence over the installed one, so that
	  audio support works in local developer builds as well.
	  Fixes #975
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1602>

2022-01-30 19:06:29 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* sys/applemedia/plugin.m:
	* sys/applemedia/vtenc.c:
	  docs: Rename "OS X" to "macOS" in some documentation
	  No one uses the term "Mac OS X" anymore, it's "macOS". "OS X" is even
	  worse, because people will usually start the search with "mac".
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1607>

2022-01-28 23:15:28 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* docs/plugins/gst_plugins_cache.json:
	* sys/applemedia/avfvideosrc.m:
	* sys/applemedia/vtdec.c:
	* sys/applemedia/vtenc.c:
	  applemedia: Document vtenc / vtdec elements
	  Also preserve-alpha property should only be exposed on the
	  vtenc_prores element since h264 does not support transparency.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gst-docs/-/issues/94
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1601>

2022-01-28 14:39:35 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2codecs/gstv4l2codech264dec.c:
	  v4l2codecs: h264: Improve ABI check
	  This moves the ABI check to the registration, so we don't expose
	  decoders with the wrong ABI or that are just broken somehow. It
	  also makes few enhancement:
	  - Handle missing, but required controls
	  - Prints the controls macro name instead of id
	  This should fix RK3399 support with a currently release minor
	  regression in the Hantro driver that cause errors.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1599>

2022-01-28 17:11:41 +0000  Philippe Normand <philn@igalia.com>

	* ext/webrtc/gstwebrtcbin.c:
	* ext/webrtc/utils.c:
	* ext/webrtc/utils.h:
	* ext/webrtc/webrtcdatachannel.c:
	* ext/webrtc/webrtcsdp.c:
	* gst-libs/gst/webrtc/meson.build:
	* gst-libs/gst/webrtc/webrtc.c:
	* gst-libs/gst/webrtc/webrtc_fwd.h:
	* tests/check/elements/webrtcbin.c:
	  webrtc: Expose RTCError enum
	  The error codes not complying with the spec are now notified with the
	  GST_WEBRTC_ERROR_INTERNAL_FAILURE code.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1485>

2022-01-29 04:46:24 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11av1dec.cpp:
	* sys/d3d11/gstd3d11h264dec.cpp:
	* sys/d3d11/gstd3d11h265dec.cpp:
	* sys/d3d11/gstd3d11mpeg2dec.cpp:
	* sys/d3d11/gstd3d11vp8dec.cpp:
	* sys/d3d11/gstd3d11vp9dec.cpp:
	  d3d11decoder: Fix typo in doc
	  s/elemenet/element/g
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1598>

=== release 1.19.90 ===

2022-01-28 14:28:35 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* gst-plugins-bad.doap:
	* meson.build:
	  Release 1.19.90

2022-01-28 14:28:28 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	  Update ChangeLogs for 1.19.90

2022-01-27 11:22:54 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvavpp.c:
	  vapostproc: Make cb max values symmetrical to their min values.
	  Intel drivers expose some colorbalance's maximum values much more
	  bigger than their minimum values, given their middle values (default
	  value). This means, in practice, that the real middle point between
	  the maximum and minimum values implies a major change in the color
	  balance, which is not expected by the GStreamer color balance logic.
	  This patch makes the given maximum value symmetrical to the minimum
	  value, given the middle one (default value).
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1580>

2022-01-27 11:49:53 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2codecs/gstv4l2codech264dec.c:
	* sys/v4l2codecs/gstv4l2codecmpeg2dec.c:
	* sys/v4l2codecs/gstv4l2codecvp8dec.c:
	* sys/v4l2codecs/gstv4l2codecvp9dec.c:
	  v4l2codecs: Fix debug assertion in register functions
	  As now, we warn if the decoder have no support src pixel format, but that
	  warning is called before the type (hence the debug category) is initialized.
	  Fix this by moving the debug category init out of the type initialization,
	  into the register funcitons.
	  This will fix an assertion that occures in the register function and allow
	  relevant log to be seen by the users.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1588>

2022-01-27 17:56:29 +0100  Jakub Adam <jakub.adam@collabora.com>

	* ext/webrtc/gstwebrtcbin.c:
	  webrtcbin: Chain up to parent constructed method
	  Failing to do so makes GstWebRTCBin invisible to the leaks tracer.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1587>

2022-01-27 01:40:17 +0000  Tim-Philipp Müller <tim@centricular.com>

	* po/LINGUAS:
	* po/ro.po:
	  gst-plugins-bad: update translations
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1579>

2022-01-27 03:10:39 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11av1dec.cpp:
	  d3d11av1dec: Fix typo in debug message
	  Fixing copy and paste mistake, It's AV1 decoder not VP8
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1576>

2022-01-25 12:32:50 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvabasetransform.c:
	  va: basetransform: Pass component index not plane index.
	  This is an issue detected and fixed in commit 3897b24f for other
	  libraries and elements.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1566>

2022-01-24 11:14:14 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvafilter.c:
	* sys/va/gstvafilter.h:
	* sys/va/gstvavpp.c:
	  va: filter & postproc: Match color with caps features.
	  When fixating color, there might be "other caps" with color spaces not
	  supported by the caps features exposed in the vapostproc's source pad
	  caps template (perhaps it's a bug somewhere else in GStreamer).
	  This solution checks if the proposed format exists in the filter
	  within the caps feature associated with the proposed format.
	  The check is done with the new filter's function
	  gst_va_filter_has_video_format().
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1559>

2022-01-10 13:34:21 +0100  Jan Alexander Steffens (heftig) <jan.steffens@ltnglobal.com>

	* gst/mpegtsmux/gstbasetsmux.c:
	* gst/mpegtsmux/tsmux/tsmux.c:
	* gst/mpegtsmux/tsmux/tsmuxstream.c:
	* gst/mpegtsmux/tsmux/tsmuxstream.h:
	  tsmux: Allow specifying PMT order via the prog-map
	  Look for an entry `PMT_<PID>` in the `prog-map`, which specifies the
	  relative index of the stream in the PMT.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1510>

2022-01-10 14:16:28 +0100  Jan Alexander Steffens (heftig) <jan.steffens@ltnglobal.com>

	* gst/mpegtsmux/tsmux/tsmux.c:
	  tsmux: Deterministically order program streams by PID
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1510>

2022-01-10 12:59:58 +0100  Jan Alexander Steffens (heftig) <jan.steffens@ltnglobal.com>

	* gst/mpegtsmux/tsmux/tsmux.c:
	  tsmux: Deterministically order PAT programs by number
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1510>

2022-01-10 13:03:11 +0100  Jan Alexander Steffens (heftig) <jan.steffens@ltnglobal.com>

	* gst/mpegtsmux/tsmux/tsmux.c:
	* gst/mpegtsmux/tsmux/tsmuxstream.c:
	* gst/mpegtsmux/tsmux/tsmuxstream.h:
	  tsmux: Remove program_array_index
	  It's only used for removal. Let's just scan the array.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1510>

2022-01-10 12:31:42 +0100  Jan Alexander Steffens (heftig) <jan.steffens@ltnglobal.com>

	* gst/mpegtsmux/tsmux/tsmux.c:
	* gst/mpegtsmux/tsmux/tsmux.h:
	  tsmux: Replace streams GArray with GPtrArray
	  This is more appropriate.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1510>

2022-01-19 23:17:23 +0900  Sangchul Lee <sc11.lee@samsung.com>

	* ext/webrtc/gstwebrtcbin.c:
	* ext/webrtc/webrtcdatachannel.c:
	* ext/webrtc/webrtcsdp.c:
	  webrtc: Fix memory leaks
	  Redundant condition and unreachable codes are also removed.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1544>

2020-07-14 11:11:11 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2codecs/gstv4l2codech264dec.c:
	* sys/v4l2codecs/gstv4l2codecmpeg2dec.c:
	* sys/v4l2codecs/gstv4l2codecvp8dec.c:
	* sys/v4l2codecs/gstv4l2codecvp9dec.c:
	* sys/v4l2codecs/gstv4l2format.h:
	  v4l2codecs: Unify the src template caps format
	  Notably NV12_4L4 ended up being applied to only VP9 decoder. This fixes the
	  situation by using a central define for all static src pad templated formats.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/965>

2022-01-21 14:13:39 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2codecs/linux/v4l2-controls.h:
	* sys/v4l2codecs/linux/videodev2.h:
	  v4l2codecs: Sync kernel headers against 5.16.0
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/965>

2022-01-21 11:13:55 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/msdk/msdk.c:
	  msdk: Avoid noisy registry when no MSDK device.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1550>

2022-01-21 10:53:21 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/va/gstvadisplay.c:
	  va: libs: Avoid noisy registry when no VA device.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1550>

2022-01-20 05:59:36 +0900  Seungha Yang <seungha@centricular.com>

	* sys/wasapi2/gstwasapi2client.cpp:
	* sys/wasapi2/gstwasapi2util.c:
	* sys/wasapi2/gstwasapi2util.h:
	* sys/wasapi2/meson.build:
	  wasapi2: Fix for device open failure on old OS
	  To open automatic stream routing aware device,
	  at least Windows10 Anniversary Update is required.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1545>

2022-01-18 03:03:30 +0900  Seungha Yang <seungha@centricular.com>

	* sys/wasapi2/gstwasapi2ringbuffer.cpp:
	  wasapi2ringbuffer: Fix for desynced buffer-size and segsize
	  GstAudioRingBufferSpec::segsize has been configured by using
	  device period but GstWasapi2RingBuffer was referencing the
	  buffer size returned by IAudioClient::GetBufferSize()
	  which is most likely larger than device period.
	  Fixing to sync them.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1533>

2021-12-30 16:52:17 +0100  Robert Mader <robert.mader@collabora.com>

	* ext/wayland/wlwindow.c:
	* ext/wayland/wlwindow.h:
	  waylandsink: Ensure correct mapping of area_surface
	  If the `area_surface` got unmapped when changing to the `READY` or
	  `NULL` state, we currently don't remap it when playback resumes and
	  `wp_viewporter` is supported. Without `wp_viewporter` we do remap
	  it, but rather unintentionally and also when not wanted.
	  On Weston this has not been a big problem as it so far wrongly maps
	  subsurfaces of unmapped surfaces anyway - i.e. only the black
	  background was missing on resume. On other compositors and future
	  Weston this prevents the `video_surface` to get remapped.
	  Shuffle things around to ensure `area_surface` is mapped in the
	  right situations and do some minor cleanup.
	  See also https://gitlab.freedesktop.org/wayland/weston/-/issues/426
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1483>

2022-01-16 02:21:43 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11deinterlace.cpp:
	  d3d11deinterlace: Do not restrict minimum resolution to 64x64
	  The value 64 was completely arbitrary one, and this element
	  will be able to support smaller resolutions
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1528>

2022-01-06 22:00:11 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11compositor.cpp:
	  d3d11compositor: Don't try to read empty buffer
	  The queued buffer may not be readable buffer in case that
	  upstream sends GAP event or so.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1497>

2022-01-13 14:17:09 +0100  Robert Mader <robert.mader@collabora.com>

	* tests/examples/waylandsink/main.c:
	  waylandsink: Fix alpha value for the test pattern in example
	  The background-color property is in big-endian ARGB, resulting in
	  a alpha value of `0`. This accidentally used to work on all common
	  compositors, but on Weston this now correctly results in a black
	  background.
	  See also https://gitlab.freedesktop.org/wayland/weston/-/issues/577
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1446>

2021-12-13 13:16:06 +0100  Robert Mader <robert.mader@collabora.com>

	* ext/wayland/wldisplay.c:
	* ext/wayland/wlwindow.c:
	  waylandsink: Use wl_surface_damage_buffer() instead of wl_surface_damage()
	  The later, doing damage in surface coordinates instead of buffer
	  coordinates, has been deprecated. The reason for that is that it
	  is more prone to bugs, both on the client and the compositor side,
	  especially when paired with buffer scale, `wp_viewporter` or
	  buffer transforms.
	  Unfortunately, on Weston this risks running into
	  https://gitlab.freedesktop.org/wayland/weston/-/issues/446
	  (which causes trouble for several other projects as well). However,
	  that bug only affects cases where we run in sync mode, i.e. only
	  during resizes. In practise I haven't been able to observe the
	  issue.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1446>

2021-12-13 12:21:06 +0100  Robert Mader <robert.mader@collabora.com>

	* ext/wayland/wlwindow.c:
	  waylandsink: Use G_MAXINT32 for surface damage
	  Each time we call `wl_surface_damage()` we want to do full surface
	  damage. Like Mesa, just use `G_MAXINT32` to ensure we always do
	  full damage, reducing the need to track the right dimensions.
	  `window->video_rectangle` is now unused, but we keep it around for
	  now as we may need it again in the future.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1446>

2021-12-30 18:14:24 +0100  Robert Mader <robert.mader@collabora.com>

	* ext/wayland/wlwindow.c:
	  waylandsink: Only call wl_surface_damage() when buffer content changed
	  From the spec:
	  > This request is used to describe the regions where the pending
	  > buffer is different from the current surface contents
	  We currently also call `wl_surface_damage()` on surfaces without
	  new or still compositor-hold buffers, e.g. when resizing the window.
	  In that case we call it on `area_surface_wrapper`, even though it
	  gets resized via `wp_viewport_set_destination()`, in which case
	  the compositor is in charge of repainting the area on screen.
	  Doing so is currently not forbidden by the spec, however it might
	  be in the future, see
	  https://gitlab.freedesktop.org/wayland/wayland/-/issues/267
	  Thus lets stay close to the spec and only call `wl_surface_damage()`
	  when we just attached a buffer.
	  Right now this prevents runtime assertions in Mutter.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1446>

2021-12-13 14:31:06 +0100  Robert Mader <robert.mader@collabora.com>

	* ext/wayland/wlwindow.c:
	  waylandsink: Simplify input region handling
	  We only need to unset the input region for the area surface when
	  we don't have our own toplevel surface. By default, the input region
	  covers the whole surface, thus no need to change it on resize.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1446>

2021-12-13 12:00:10 +0100  Robert Mader <robert.mader@collabora.com>

	* ext/wayland/wlwindow.c:
	  waylandsink: Use G_MAXINT32 for opaque regions
	  `gst_wl_window_set_opaque` does not get called on window resizes,
	  potentially leaving opaque regions too small.
	  According to the spec opaque regions can be bigger than the surface
	  size - parts that fall outside of the surface will get ignored.
	  Thus we can can simply use `G_MAXINT32` and be sure that the whole
	  surfaces will always be covered.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1446>

2022-01-11 13:21:55 -0500  Dave Piché <dave.piche@motorolasolutions.com>

	* ext/webrtc/gstwebrtcbin.c:
	  webrtc: fix log error message in function gst_webrtc_bin_set_local_description
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1511>

2022-01-13 11:31:55 +0000  Tim-Philipp Müller <tim@centricular.com>

	* gst/mxf/mxfvanc.c:
	  mxfdemux: don't error out if VANC track only contains packets we don't handle
	  If the VANC track does contain packets, but we skip over all packets, just
	  treat it the same as if there hadn't been any packets at all and send a
	  GAP event instead of erroring out with "Failed to handle essence element".
	  We would error out because when we reach the end of the loop without having
	  found a closed caption packet the flow return variable is still FLOW_ERROR
	  which is what it has been initialised to.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1518>

2022-01-13 10:36:24 +0800  He Junyan <junyan.he@intel.com>

	* gst-libs/gst/codecparsers/gsth265parser.c:
	  codecparsers: h265parser: return invalid profile if len is 0.
	  Though the profiles[0] is inited as GST_H265_PROFILE_INVALID in the
	  gst_h265_profile_tier_level_get_profile(), the profile detecting may
	  change its content later. So the return of profiles[0] may not be an
	  invalid profile even the len is 0.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1517>

2022-01-13 10:11:52 +0800  He Junyan <junyan.he@intel.com>

	* gst-libs/gst/codecparsers/gsth265parser.c:
	  codecparsers: h265parser: Fix the index incrementation error in append_profile().
	  The current "*idx++" operation just refers the pointer and increment the pointer
	  itself, not the content of the pointer. This causes that the count of the profiles
	  is always 0.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1517>

2022-01-04 04:56:55 +0300  Dmitry Osipenko <digetx@gmail.com>

	* sys/kms/gstkmssink.c:
	  kmssink: Support auto-detection of NVIDIA Tegra driver
	  NVIDIA Tegra SoCs have a separate (from GPU) display controller. It's
	  the primary display device on all Tegra SoCs. Add Tegra to the list
	  of primary DRM drivers.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1514>

2022-01-08 00:16:29 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* ext/closedcaption/gstcccombiner.c:
	  cccombiner: fix s334-1a scheduling
	  The previous code was mistakenly trying to compute a cc_type out
	  of the first byte in the byte triplet, whereas it is to be interpreted
	  as:
	  > Bit b7 of the LINE value is the field number (0 for field 2; 1 for field 1).
	  > Bits b6 and b5 are 0. Bits b4-b0 form a 5-bit unsigned integer which
	  > represents the offset
	  The same mistake was made when creating padding packets.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1496>

2022-01-05 22:48:31 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* ext/closedcaption/gstcccombiner.c:
	  cccombiner: merge buffers for both fields with caption type s334-1a
	  Other elements such as line21encoder expect both fields to be present
	  in the same meta, not one meta per field.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1496>

2022-01-10 15:24:13 +0800  Mengkejiergeli Ba <mengkejiergeli.ba@intel.com>

	* gst-libs/gst/codecparsers/gstav1parser.h:
	  av1parser: Fix data type of film grain param
	  Fix cb_offset and cr_offset data type from guint8 to guint16. According
	  to spec, cb_offset and cr_offset are 9 bit long, while guint8 can cause
	  interger overflow, and thus change to guint16.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1508>

2022-01-05 02:07:59 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* docs/meson.build:
	* ext/opencv/meson.build:
	* gst-libs/gst/vulkan/meson.build:
	* meson.build:
	* sys/msdk/meson.build:
	  meson: Add explicit check: kwarg to all run_command() calls
	  This is required since Meson 0.61.0, and causes a warning to be
	  emitted otherwise:
	  https://github.com/mesonbuild/meson/commit/2c079d855ed87488bdcc6c5c06f59abdb9b85b6c
	  https://github.com/mesonbuild/meson/issues/9300
	  This exposed a bunch of places where we had broken run_command()
	  calls, unnecessary run_command() calls, and places where check: true
	  should be used.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1507>

2022-01-05 10:53:55 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* gst/codecalpha/gstalphacombine.c:
	  alphacombine: update example launch line
